<?php
require_once('mypdo.include.php') ;

/**
 * Pictogramme
 * Pictogramme issu de la base de donnes
 */
class Categorie {
    /**
     * L'identifiant de la categorie
     * @var string $car_id
     */
    protected $cat_id        = null ;

    /**
     * le libelle de la categorie
     * @var string $cat_lib
     */
    protected $cat_lib  = null ;

    /**
     * Cl de session  partir de laquelle les donnes sont stockes
     */
    const session_key = "__user__" ;

    /**
     * Constructeur priv
     */
    private function __construct() {
    }

    /**
     * Affiche un attr d'inst de catgorie
     *
     * @return string libl
     */
    public function getCat_lib() {
        return $this->cat_lib;
    }

    /**
     * XX
     *
     * @return string XX
     */
    public static function getCategories() {
        $dbh=myPDO::getInstance();
      $sth = $dbh->prepare(<<< SQL
SELECT cat_lib
FROM tb_categorie
ORDER BY cat_lib
SQL
);
      $sth->setFetchMode(PDO::FETCH_CLASS,'Categorie');
      $sth->execute();
      $res = $sth->fetchAll();
      return $res;
    }
}